MONGOC_COLLECTION_DESTROY(3)

NAME
mongoc_collection_destroy() - This function shall destroy a mongoc_collection_t and its associated resources.

SYNOPSIS

void
mongoc_collection_destroy (mongoc_collection_t *collection);

PARAMETERS

collection
    A mongoc_collection_t \&.

DESCRIPTION

This function shall destroy a mongoc_collection_t and its associated resources.

NOTE
    Always destroy a mongoc_cursor_t created from a collection before destroying the collection.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.